Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MemoryExplorerItem Class Reference

## Public Member Functions
| __init__ (self, parent, nodePath)
| addChild (self, child)
| analyze (self)
| analyzeChildren (self)
| calcNumFaces (self, geom)
| calcTextureBytes (self)
| calcVertexBytes (self, geom)
| getChildren (self)
| getName (self)
| getNumChildren (self)
| getParent (self)
| getPathName (self)
| getSelfVertexBytes (self)
| getVertexBytes (self)
| ls (self, indent="")

## Public Attributes
list | children = []
int | childrenVertexBytes = 0
| nodePath = nodePath
int | numFaces = 0
| parent = parent
str | pathName = parent.pathName + "/" + nodePath.getName()
int | selfVertexBytes = 0
int | textureBytes = 0
| vertexBytes

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | nodePath )

## Member Function Documentation

## ◆ addChild()

addChild | ( |  | self,
|  |  | child )

## ◆ analyze()

analyze | ( |  | self | ) |

## ◆ analyzeChildren()

analyzeChildren | ( |  | self | ) |

## ◆ calcNumFaces()

calcNumFaces | ( |  | self,
|  |  | geom )

## ◆ calcTextureBytes()

calcTextureBytes | ( |  | self | ) |

## ◆ calcVertexBytes()

calcVertexBytes | ( |  | self,
|  |  | geom )

## ◆ getChildren()

getChildren | ( |  | self | ) |

## ◆ getName()

getName | ( |  | self | ) |

## ◆ getNumChildren()

getNumChildren | ( |  | self | ) |

## ◆ getParent()

getParent | ( |  | self | ) |

## ◆ getPathName()

getPathName | ( |  | self | ) |

## ◆ getSelfVertexBytes()

getSelfVertexBytes | ( |  | self | ) |

## ◆ getVertexBytes()

getVertexBytes | ( |  | self | ) |

## ◆ ls()

ls | ( |  | self,
|  |  | indent = "" )

## Member Data Documentation

## ◆ children

children = []

## ◆ childrenVertexBytes

int childrenVertexBytes = 0

## ◆ nodePath

nodePath = nodePath

## ◆ numFaces

numFaces = 0

## ◆ parent

parent = parent

## ◆ pathName

str pathName = parent.pathName + "/" + nodePath.getName()

## ◆ selfVertexBytes

int selfVertexBytes = 0

## ◆ textureBytes

textureBytes = 0

## ◆ vertexBytes

vertexBytes